using System;

namespace Danica
{
    class Program
    {
        static void Main(string[] args)
        {
            int X = int.Parse(Console.ReadLine());

            int Y = int.Parse(Console.ReadLine());

            int max = X;
            int min = Y;
            if (X < Y)
            {
                max = Y;
                min = X;
            }

            int broj = 0;
            int desetica = 1;

            while (max != 0) 
            {

                if (min % 10 > max % 10 ) broj += min % 10 * desetica;
                else if (min % 10 < max % 10) broj += max % 10 * desetica;
                else if(min % 10 == max % 10 && min !=0)
                {
                    desetica *= 10;
                    broj += max % 10 * desetica / 10 + min % 10 * desetica;
                }
                else if (min % 10 <= max % 10) broj += max % 10 * desetica;

                min /= 10;
                max /= 10;
                desetica *= 10;
            }

            Console.WriteLine(broj);

        }
    }
}